Skip to main content
`Ctrl`+`K`

# MatSetHPL

fills a `MATSEQDENSE` matrix using the HPL 2.3 random matrix generation routine

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetHPL(Mat A, int iseed)

Collective

## Input Parameters

- A - the matrix

- iseed - the random number seed

## See Also

Matrices, `Mat`, `MatCreate()`

## Level

intermediate

## Location

src/mat/utils/hpl/hplcreate.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages